# Uses of Interface
org.apache.zookeeper.metrics.CounterSet

Packages that use CounterSet
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.metric

## Uses of CounterSet in org.apache.zookeeper.metrics

Methods in org.apache.zookeeper.metrics that return CounterSet
Modifier and Type
Method
Description
`CounterSet`
MetricsContext.`getCounterSet(String name)`
Returns the CounterSet identified by the given name Null name is not allowed

## Uses of CounterSet in org.apache.zookeeper.metrics.impl

Methods in org.apache.zookeeper.metrics.impl that return CounterSet
Modifier and Type
Method
Description
`CounterSet`
NullMetricsProvider.NullMetricsContext.`getCounterSet(String name)`

## Uses of CounterSet in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as CounterSet
Modifier and Type
Field
Description
`final CounterSet`
ServerMetrics.`QUOTA_EXCEEDED_ERROR_PER_NAMESPACE`

## Uses of CounterSet in org.apache.zookeeper.server.metric

Classes in org.apache.zookeeper.server.metric that implement CounterSet
Modifier and Type
Class
Description
`class`
`SimpleCounterSet`
Represent a set of counters identified by different keys.